function dNdv = rate_q(v,x,p)

    N1 = x(1);
    N3 = x(2);
    N6 = x(3);
    N7 = x(4);
    N8 = x(5);

    Ntot = N1 + N3 + N6 + N7 + N8;
    Ctot = p.P/(p.R1*p.T);
    C1 = (N1/Ntot)*Ctot;
    C2 = (2*p.k(1))/p.k(2);
    C4 = p.kp*C1;
    C5 = p.k(1)/(p.k(5)*p.kp);

    r1 = p.k(1)*C1;
    r2 = 2*p.k(1)*C1;
    r3 = p.k(3)*p.kp*C1;
    r4 = p.k(4)*p.k(1)/(p.k(5)*p.kp)*C1;
    r5 = p.k(1)*C1;

    dNdv = zeros (5, 1);

    %  dNdv(1) = -r1 - r2 - r4 + r5;
    dNdv(1) = - r2 - r4;
    dNdv(2) = r2;
    dNdv(3) = r3;
    dNdv(4) = r4;
    dNdV(5) = 0;