function retval = rhs(t, x, p)
    c_A   = x(1);
    T     = x(2);
    k     = p.k_m*exp(-p.E*(1/T - 1/p.T_m));
    T_f   = p.T_fs + p.Kc*(T - p.T_set);

    retval = zeros (2, 1);
    retval(1) = (p.c_Af - c_A)/p.theta - k*c_A;
    retval(2) = p.U/p.C_ps*(p.T_a - T) + (p.T_f - T)/p.theta -...
                    k*c_A*p.DeltaH_R/p.C_ps;