function retval = pellet(x, p)
  % component A
  ca = x;
  r1      = p.k1.*ca.*ca;
  Ra      = - r1;
  retval = p.B*ca + 2*p.A*ca./p.R + Ra/p.Da;
  % write over first and last residuals with BCs
  retval(1)  = p.A(1,:)*ca;
  retval(end,1) = p.caf - ca(end);