function res = bed(t, y, ydot, p)
  Naf = y(1);
  cpellet = y(2:end);
  Q  = p.Qf;
  p.caf = Naf/Q;
  % calculate pellet residual and update
  % total pellet reaction rate through dcadr
  pelletres = pellet(cpellet, p);
  dcadr = p.A(end,:)*cpellet;
  r1p   = p.Da/p.a*dcadr;
  RA    = -(1-p.epsb)*r1p;
  res(1) = ydot(1) - RA;
  res(2:length(y)) = pelletres;
  % matlab wants column vector
  res = res(:);