function dNdv = rxrate(v, N, p)
  C =  N/sum(N)*p.P/(p.R1*p.T);
  r1 = p.k1*C(1)*C(2) - p.k_1*C(3)*C(4);
  r2 = p.k2*C(3);
  r3 = p.k3*C(1)*C(5);
  r4 = p.k4*C(2)*C(5) - p.k_4*C(4);
  dNdv = [-r1 - r3; ...
	  -r1 - r4; ...
	  r1 - r2 + r3; ...
	  r1 + r4; ...
	  r2 - r3 - r4; ...
	  r2; ...
	  r3];