function [stp, isterminal, direction] = g(t, x, thiele, p)
    if x(1) == 0
        pelthiele = Inf;
    else
        pelthiele = sqrt((p.order + 1)/2*x(1)^(p.order - 1)*p.k)...
                        *t/(p.q+1);
    end

    % stop at each desired thiele modulus
    stp = pelthiele - thiele;
    isterminal = 1;
    direction = 0;