function xdot = pelletode(r, x, beta, Gamma, Phi)
    ca    = x(1);
    dcadr = x(2);
    s1    = x(3);
    s2    = x(4);
    xdot = zeros (4, 1);
    xdot(1) = dcadr;
    if (r == 0)
        xdot(2) = 1/3* Phi^2*ca*exp(Gamma*beta*(1-ca)/(1+beta*(1-ca)));
        xdot(4) = 0;
    else
        tmp = Phi^2*ca*exp(Gamma*beta*(1-ca)/(1+beta*(1-ca)));
        xdot(2) = - 2/r*dcadr + tmp;
        xdot(4) = tmp*(1/ca - Gamma*beta/(1+beta*(1-ca))^2)*s1 - 2/r*s2;
    end
    xdot(3) = s2;