function res = pfrcol(x, ncolpt, p, col)
    % express the diff eq at every collocation point
    first = col.A*x;
    Ra = -2*p.k*(x.^p.order);
    second = col.B*x;
    res = -p.v*first + p.D*second + Ra;
    % write over the first and last points with the
    % boundary conditions
    res(1) = p.v*x(1) - p.D*first(1) - p.v*p.caf;
    res(ncolpt) = first(ncolpt);