function dcdz = mm(z, c, p)
  if (z == 0.)
    dcdz = 0;
  else
    t = (1-z)/z;
    if (t <= p.theta1 + p.theta3)
      f = 0;
    else
      f = 1/p.theta2;
    end%if
    dcdz = - (f*(c - p.c0) + rxrate(c, p) )/(z*z);
  end%if