function res = pfrcol(x, ncolpt, p, col)
    % express the diff eq at every collocation point
    ca = x(1:ncolpt);
    cb = x(ncolpt+1:2*ncolpt);
    Rab  = [-p.k1*ca; p.k1*ca - 2*p.k2*cb.^2];
    first  = [col.A*ca; col.A*cb];
    second = [col.B*ca; col.B*cb];
    res = -p.v*first + p.D*second + Rab;

    % write over the first and last points with the
    % boundary conditions
    res(1) = p.v*ca(1) - p.D*first(1) - p.v*p.caf;
    res(ncolpt) = first(ncolpt);
    res(ncolpt+1)= p.v*cb(1) - p.D*first(ncolpt + 1) - p.v*p.cbf;
    res(2*ncolpt) = first(2*ncolpt);