function xdot = reduced_model(t, v, p)
  Badded = max((v.VR - p.VR0)*p.cBf, 1e-6); % avoid divide-by-zero
  deps2dt = v.Qf*p.cBf / (1. + p.k*(p.nA0 - Badded + v.eps2)/(Badded - 2*v.eps2));
  xdot = {v.Qf, deps2dt};